> For the complete documentation index, see [llms.txt](https://developer.topazlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.topazlabs.com/video-models/starlight/starlight-precise-1-deprecated.md).

# Starlight Precise 1 (Deprecated)

### Model Overview

**Starlight Precise 1** is the original diffusion-based video enhancement model and the first of its kind designed specifically for video. Originally developed as Project Starlight, it was created to enhance footage previously considered impossible to restore, including degraded film and low resolution GenAI video.

Precise 1 is a generative diffusion model that intelligently improves detail, temporal consistency, and structure while preserving artistic intent, performing all enhancement automatically without manual controls.

### Key Capabilities

* First ever diffusion model purpose built for video enhancement
* Transforms degraded, low resolution footage into clean, consistent HD or 4K results
* High quality, automatic enhancement with no sliders or manual tuning required

### Pricing

| Frames Per Credit — 1080p | Frames Per Credit — 4k |
| ------------------------- | ---------------------- |
| 10                        | \~6                    |

{% hint style="info" %}
For more accurate estimates we recommend checking out our [Credit Calculator](https://developer.topazlabs.com/credit/calculator).
{% endhint %}

### Getting Started

**Endpoint**

* [https://api.topazlabs.com/video/](<https://api.topazlabs.com/video/&#xA;>)
  * `model` — `"sl-1"`

**Model-Specific Parameters**

* `input_frame_count` — integer, optional; maximum 9000
* `video_profile` — string, optional
* `video_bit_depth` — integer, optional
* `video_codec` — string, optional

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th align="center"></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="image">Cover image</th></tr></thead><tbody><tr><td align="center">Click to view</td><td><a href="https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2Fu5739975918_Steampunk_Male_robot_puts_a_wedding_ring_on_the_f_0e22ab34-3c17-43bb-abde-febd49842527_0-1.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2Fu5739975918_Steampunk_Male_robot_puts_a_wedding_ring_on_the_f_0e22ab34-3c17-43bb-abde-febd49842527_0-1-_starlight.mp4&#x26;src2label=After&#x26;zoom=1">https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2Fu5739975918_Steampunk_Male_robot_puts_a_wedding_ring_on_the_f_0e22ab34-3c17-43bb-abde-febd49842527_0-1.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2Fu5739975918_Steampunk_Male_robot_puts_a_wedding_ring_on_the_f_0e22ab34-3c17-43bb-abde-febd49842527_0-1-_starlight.mp4&#x26;src2label=After&#x26;zoom=1</a></td><td><a href="/files/3vaIzuI6RQhrjOBww2Jx">/files/3vaIzuI6RQhrjOBww2Jx</a></td></tr><tr><td align="center">Click to view</td><td><a href="https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FTheScarletPimpernel_001.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FTVAI_Starlight_TheScarletPimpernel_001_v001.mp4&#x26;src2label=After&#x26;zoom=1">https://compare.topazlabs.com/share/video?src1=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FTheScarletPimpernel_001.mp4&#x26;src1label=Before&#x26;src2=https%3A%2F%2Fdownloads.topazlabs.com%2Fweb-assets%2Fmodel-examples%2FTVAI_Starlight_TheScarletPimpernel_001_v001.mp4&#x26;src2label=After&#x26;zoom=1</a></td><td><a href="/files/72cQCYz4qYBRGvzsHfYh">/files/72cQCYz4qYBRGvzsHfYh</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.topazlabs.com/video-models/starlight/starlight-precise-1-deprecated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
